--- setup.mouse.orig	2006-10-10 19:00:18.000000000 +0100
+++ setup.mouse	2006-10-10 19:19:27.000000000 +0100
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #BLURB="Configure the console mouse support (GPM)."
 T_PX=$1
 TMP=/var/log/setup/tmp
@@ -20,26 +20,8 @@
 information about the mouse to set the correct protocol for gpm, the Linux \
 mouse server.  Please select a mouse type \
 from the list below:" 20 76 8 \
- "ps2" "PS/2 port mouse (most desktops and laptops)" \
- "imps2" "Microsoft PS/2 Intellimouse" \
- "bare" "2 button Microsoft compatible serial mouse" \
- "ms" "3 button Microsoft compatible serial mouse" \
- "mman" "Logitech serial MouseMan and similar devices" \
- "msc" "MouseSystems serial (most 3 button serial mice)" \
- "pnp" "Plug and Play (serial mice that do not work with ms)" \
- "usb" "USB connected mouse" \
- "ms3" "Microsoft serial Intellimouse" \
- "netmouse" "Genius Netmouse on PS/2 port" \
- "logi" "Some serial Logitech devices" \
- "logim" "Make serial Logitech behave like msc" \
- "atibm" "ATI XL busmouse (mouse card)" \
- "inportbm" "Microsoft busmouse (mouse card)" \
- "logibm" "Logitech busmouse (mouse card)" \
- "ncr" "A pointing pen (NCR3125) on some laptops" \
- "twid" "Twiddler keyboard, by HandyKey Corp" \
- "genitizer" "Genitizer tablet (relative mode)" \
- "js" "Use a joystick as a mouse" \
- "wacom" "Wacom serial graphics tablet" 2> $TMP/mtype
+ "PS2" "Bus/PS2 mouse (Acorn RiscPC/ARM Versatile)" \
+ "USB" "USB Mouse (Castle Iyonix)" 2> $TMP/mtype
  if [ ! $? = 0 ]; then
   rm -f $TMP/mtype
   exit
@@ -50,53 +32,16 @@
   unset MOUSE_TYPE
  fi
  rm -f $TMP/mtype
- if [ "$MOUSE_TYPE" = "bare" -o "$MOUSE_TYPE" = "ms" \
- -o "$MOUSE_TYPE" = "mman" -o "$MOUSE_TYPE" = "msc" \
- -o "$MOUSE_TYPE" = "genitizer" \
- -o "$MOUSE_TYPE" = "pnp" -o "$MOUSE_TYPE" = "ms3" \
- -o "$MOUSE_TYPE" = "logi" -o "$MOUSE_TYPE" = "logim" \
- -o "$MOUSE_TYPE" = "wacom" -o "$MOUSE_TYPE" = "twid" ]; then
-  dialog --title "SELECT SERIAL PORT" --menu "Your mouse requires a \
-serial port.  Which one would you like to use?" 12 50 4 \
-  "/dev/ttyS0" "(COM1: under DOS)" \
-  "/dev/ttyS1" "(COM2: under DOS)" \
-  "/dev/ttyS2" "(COM3: under DOS)" \
-  "/dev/ttyS3" "(COM4: under DOS)" 2> $TMP/mport
-  if [ ! $? = 0 ]; then
-   rm -f $TMP/mport
-   exit
-  fi
-  MDEVICE="`cat $TMP/mport`"
-  SHORT_MDEVICE=`basename $MDEVICE`
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf $SHORT_MDEVICE mouse )
-  # For the serial mice, the protocol is the same as the mouse type:
-  MTYPE=$MOUSE_TYPE
-  rm -f $TMP/mport
- elif [ "$MOUSE_TYPE" = "ps2" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
-  MTYPE="ps2"
- elif [ "$MOUSE_TYPE" = "ncr" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
-  MTYPE="ncr"
- elif [ "$MOUSE_TYPE" = "imps2" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf psaux mouse )
-  MTYPE="imps2"
- elif [ "$MOUSE_TYPE" = "logibm" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf logibm mouse )
-  MTYPE="ps2"
- elif [ "$MOUSE_TYPE" = "atibm" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf atibm mouse )
-  MTYPE="ps2"
- elif [ "$MOUSE_TYPE" = "inportbm" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf inportbm mouse )
-  MTYPE="bm"
- elif [ "$MOUSE_TYPE" = "js" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf js0 mouse )
-  MTYPE="js"
- elif [ "$MOUSE_TYPE" = "usb" ]; then
-  ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse )
-  MTYPE="imps2"
- fi
+# I know how nasty this code looks now but I don't want to patch
+# this script more than I have to.
+# This is for Linux 2.4.  ARMedslack/MoZes (me) doesn't "support" 2.4. This is just for
+# future reference:
+#   RiscPC)      ( cd $T_PX/dev ; rm -f mouse ; ln -sf riscpcmouse mouse ) ; MOUSE_TYPE=busmouse ;;
+#
+ case "${MOUSE_TYPE}" in
+   PS2)      ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse ) ; MOUSE_TYPE=ps2 ;;
+   USB)      ( cd $T_PX/dev ; rm -f mouse ; ln -sf input/mice mouse ) ; MOUSE_TYPE=ps2 ;;
+ esac
 fi
 
 # OK, we know enough now to create a sample rc.gpm:
@@ -111,10 +56,10 @@
   echo "Restarting gpm..."
   $GPM -k
   sleep 1
-  $GPM -m /dev/mouse -t $MTYPE
+  $GPM -m /dev/mouse -t $MOUSE_TYPE
 else # assume \$1 = start:
-  echo "Starting gpm:  $GPM -m /dev/mouse -t $MTYPE"
-  $GPM -m /dev/mouse -t $MTYPE
+  echo "Starting gpm:  $GPM -m /dev/mouse -t $MOUSE_TYPE"
+  $GPM -m /dev/mouse -t $MOUSE_TYPE
 fi
 
 # There is another way to run GPM, where it acts as a repeater outputting a
@@ -140,7 +85,7 @@
 run it at boot time, this line will be added to your\n\
 /etc/rc.d/rc.gpm:\n\
 \n\
-  $GPM -m /dev/mouse -t $MTYPE \n\
+  $GPM -m /dev/mouse -t $MOUSE_TYPE \n\
 \n\
 Shall we load the gpm program at boot time?" 12 58 
  if [ $? = 0 ]; then
